Skip to navigation

Update Global Abandoned Cart Settings

Update the global abandoned cart settings of a store.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
email_customer_until_cart_is_recoveredbooleanRequired
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered
email_merchant_when_cart_is_convertedbooleanRequired
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order
email_merchant_when_cart_is_abandonedbooleanRequired
Indicates whether or not a merchant should receive a notification email when a cart is abandoned
merchant_email_addressstringRequiredformat: "email"
The email address for receiving merchant notifications
merchant_abandoned_cart_email_frequency_typeenumRequired
Indicates whether to send an email for every abandoned cart, or to send a digest email after X number of abandoned carts
Allowed values:
merchant_abandoned_cart_digest_email_frequencyintegerRequired2-1000
The number of abandoned carts to accumulate before a digest email is sent to a merchant
enable_notificationbooleanOptional
Indicates whether or not abandoned cart notification is on

Response

OK
dataobjectOptional
Represents all settings related to the abandoned cart functionality of a store
metaobjectOptional
Response metadata

Errors

401
Unauthorized Error
422
Unprocessable Entity Error